Skip to main content
WEBHOOK
Fires when a non-voicemail call recording finishes processing and is available for download.

Common use case

After receiving recording.completed, use GET /recordings/{recording_id}/file to download the audio file for storage, transcription, or quality review.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
account_id
string
required

The ID of the account in which this event occurred

data
object
required

The data associated with the event

timestamp
string<date-time>
required

The timestamp when this event occurred, in ISO8601 format

type
string
required

The type of the event. Always recording.completed for this event.

Allowed value: "recording.completed"

Response

200

Return a 200 status to indicate that the data was received successfully